---
apiVersion: v1
kind: Service
metadata:
  name: inbiz-initdatabase
  namespace: edoc2
  labels:
    app: inbiz-initdatabase
spec:
  ports:
  - name: inbiz-init
    port: 5008
    targetPort: 5008
    protocol: TCP
  selector:
    app: inbiz-initdatabase
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: inbiz-initdatabase
  namespace: edoc2
  labels:
    app: inbiz-initdatabase
    k8s-app: inbiz-initdatabase
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: inbiz-initdatabase
  template:
    metadata:
      labels:
        app: inbiz-initdatabase
    spec:
      hostname: inbiz-initdatabase
      terminationGracePeriodSeconds: 60
      containers:
      - name: inbiz-initdatabase
        image: registry.edoc2.com:5000/edoc2v5/inbiz-initdatabase:km-v6.2.0.0
        imagePullPolicy: IfNotPresent
        envFrom:
        - configMapRef:
            name: mid-envfile
        - configMapRef:
            name: ecm-envfile
        - configMapRef:
            name: inbiz-envfile
        - configMapRef:
            name: km-envfile
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
        ports:
        - name: inbiz-init
          containerPort: 5008
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
